Bug 120885 - nice Crash on choosing 'more styles' from dropdown 'Apply Style 'with graphic selected
Summary: nice Crash on choosing 'more styles' from dropdown 'Apply Style 'with graphic...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: x86-64 (AMD64) All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0.2 target:6.1.5
Keywords: bibisectRequest, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2018-10-24 21:25 UTC by Cor Nouws
Modified: 2019-01-11 17:39 UTC (History)
6 users (show)

See Also:
Crash report or crash signature: ["ComboBox::Impl::ImplSelectHdl(LinkParamNone *)"]


Attachments
gdb backtrace (26.34 KB, text/plain)
2018-10-25 10:25 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2018-10-24 21:25:55 UTC
- new Writer file, Enter
- paste image, keep it selected
- View > Toolbar > Formatting
- open list Apply Style (it currently shows 'graphic')
- choose More styles (at the bottom)
  > crash

noticed in Version: 6.2.0.0.alpha1+
Build ID: ae9f37ba753519ae4a2ae6384d052d417359602f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-10-22_23:05:02
Locale: nl-NL (nl_NL.UTF-8); Calc: threaded

crashreport.libreoffice.org/stats/crash_details/50bc448d-5dcc-4bf2-820a-3df6f4aa2198

crashreport.libreoffice.org/stats/crash_details/e90b3b5b-2123-4d41-abe8-2d3ae5886d02
Comment 1 m.a.riosv 2018-10-24 22:26:19 UTC
Repro
Version: 6.2.0.0.alpha1 (x64)
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: es-ES (es_ES); Calc: CL
Comment 2 m.a.riosv 2018-10-24 22:30:05 UTC
Repro also with:
Version: 6.1.3.1 (x64)
Build ID: a9670562c26181ec3afbe381c9ff499ae88c98b7
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: es-ES (es_ES); Calc: CL
crashreport.libreoffice.org/stats/crash_details/3bd00f31-418e-458c-9fff-851fbc9a4983

Version: 6.0.7.1 (x64)
Build ID: 5d2cb2a5dd04fe174b336488731eb50bbb5faed3
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: es-ES (es_ES); Calc: CL
crashreport.libreoffice.org/stats/crash_details/d307dd24-d9a0-43b3-b420-1f2c5ffe1996
Comment 3 Cor Nouws 2018-10-25 06:29:36 UTC
thanks for confirming, Miguel
Comment 4 Xisco Faulí 2018-10-25 10:21:04 UTC
This is an old regression, I've been trying to bisect it but it's taking some much time. I'll do it when I have more time.
I can reproduce it back to 

Version: 4.5.0.0.alpha0+
Build ID: 2851ce5afd0f37764cbbc2c2a9a63c7adc844311
Locale: ca_ES

so it needs to be bisected with bibisect-44max
Comment 5 Xisco Faulí 2018-10-25 10:25:09 UTC
Created attachment 145994 [details]
gdb backtrace
Comment 6 raal 2018-10-25 10:50:25 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2018-10-25 10:52:44 UTC
Hi raal, see comment 4...
Comment 8 Aron Budea 2018-10-31 21:07:46 UTC
Hm, I arrived to the following commit using repo bibisect-42max, but the result isn't conclusive, sometimes it crashes at this commit, other times not. Sometimes it crashes with the commit before this, other times not. So, just leaving it out there for now.
https://cgit.freedesktop.org/libreoffice/core/commit/?id=3e70dda33548a5392baaf99a3c4675285de7da46
Comment 9 Commit Notification 2018-12-21 15:10:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a5aeb6b52327565523be406e0082fe0122c48e03%5E%21

Resolves: tdf#120885 Crash on choosing 'more styles'

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Caolán McNamara 2018-12-21 15:10:57 UTC
backports to 6-2 and 6-1 in gerrit
Comment 11 Commit Notification 2018-12-21 15:44:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/57abe1bb3b56c754db0045a8c55c3a8d3d75803e%5E%21

Resolves: tdf#120885 Crash on choosing 'more styles'

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Xisco Faulí 2018-12-24 14:32:25 UTC
No longer crashes in

Version: 6.3.0.0.alpha0+
Build ID: 9520378e37b97b0a44130c86be482060465b479e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 13 Xisco Faulí 2018-12-24 14:35:43 UTC
We get a low number of crashes in https://crashreport.libreoffice.org/stats/signature/ComboBox::Impl::ImplSelectHdl(LinkParamNone%20*), I don't think we need to backport it to 6.1... Do it if you see it differently..
Comment 14 Commit Notification 2019-01-11 17:39:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/93f26a66a4f6a13beb053edbdba9f906370bf968%5E%21

Resolves: tdf#120885 Crash on choosing 'more styles'

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.